com.here.msdkui.routing

## Class OptionItemBuilders.MultipleChoiceOptionItemBuilder

- java.lang.Object
- - com.here.msdkui.routing.OptionItemBuilders.MultipleChoiceOptionItemBuilder

- Enclosing class:
    OptionItemBuilders

      public static class OptionItemBuilders.MultipleChoiceOptionItemBuilder
      extends java.lang.Object

  Builder for `MultipleChoiceOptionItem`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipleChoiceOptionItemBuilder(android.content.Context context)` Constructs a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultipleChoiceOptionItem` | `build()` Build the item.
    `OptionItemBuilders.MultipleChoiceOptionItemBuilder` | `setItemId(int id)` Set an id for this item.
    `OptionItemBuilders.MultipleChoiceOptionItemBuilder` | `setLabels(java.util.List<java.lang.String> labels)` Set the labels for this item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipleChoiceOptionItemBuilder

          public MultipleChoiceOptionItemBuilder(android.content.Context context)

      Constructs a new instance.
      Parameters:
        `context` - an activity or application context.

  - ### Method Detail

    - #### setLabels

          public OptionItemBuilders.MultipleChoiceOptionItemBuilder setLabels(java.util.List<java.lang.String> labels)

      Set the labels for this item.
      Parameters:
        `labels` - the labels to set.
      Returns:
        an instance of this class.

    - #### setItemId

          public OptionItemBuilders.MultipleChoiceOptionItemBuilder setItemId(int id)

      Set an id for this item.
      Parameters:
        `id` - the id to set.
      Returns:
        an instance of this class.

    - #### build

          public MultipleChoiceOptionItem build()

      Build the item.
      Returns:
        the item that was built.